Get customer information

Validate Customer KYC

post

This endpoint allows you to validate your customer's KYC information. The feature must be enabled for your account before use.

Header parameters
Content-TypestringRequired

Media type of the request.

Default: application/json
X-Datestring · date-timeRequired

ISO8601 Datetime with Timezone: YYYY-MM-dd'T'HH:mm:ssZ

X-LoginstringRequired

Merchant X-Login Deposits API Key.

AuthorizationstringRequired

Authorization control hash.

Body
countrystring · max: 2Required

Country of the user (ISO 3166-1 alpha-2).

documentstring · max: 30Optional

Document of identity of the user.

document_typestring · max: 10Optional

Type of the document specified.

first_namestring · max: 255Optional

First name of the user.

last_namestring · max: 255Optional

Last name of the user.

phonestring · max: 255Optional

Phone number of the user.

emailstring · email · max: 255Optional

Email address of the user.

user_ipstring · max: 255Optional

IP Address of the user (IPv4 or IPv6).

Responses
200

OK Success. The provided information is valid.

application/json
post
/kyc
POST /v1/kyc HTTP/1.1
Host: api-stg.onekeypayments.com
Content-Type: application/json
X-Date: 2025-12-06T17:26:26.528Z
X-Login: text
Authorization: text
Accept: */*
Content-Length: 258

{
  "country": "BR",
  "document": "84932568207",
  "document_type": "CPF",
  "first_name": "John",
  "last_name": "Smith",
  "phone": "+5512345678",
  "email": "[email protected]",
  "user_ip": "",
  "bank_account": {
    "bank_code": "000",
    "account": "000000",
    "branch": "0000",
    "account_type": "S"
  }
}
{
  "user": {
    "birthday": "1955-05-28",
    "age": "68",
    "name": "John Smith",
    "gender": " ",
    "name_similarity": 1,
    "legal_situation": "REGULAR",
    "pep": false,
    "street": "Avenida Paulista",
    "number": "1",
    "zip": "0333333",
    "city": "Sao Paulo",
    "code_state": "SP",
    "neighborhood": "Liberdade",
    "full_address": "Avenida Paulista 1 Sao Paulo SP",
    "email_address": "[email protected]",
    "deceased": false,
    "bolsa_familia": false,
    "emergency_aid": false,
    "ofac": false,
    "assumed_income": "ATE 1,5 MIL REAIS",
    "sportsman": false,
    "related_sportsman": false,
    "risk": {
      "ppn": false,
      "ppe": false,
      "cvm": false
    },
    "arrest_warrant": false,
    "tcu_inidoneo": false,
    "tcu_disabled": false,
    "lava_jato": false,
    "civil_servant": false,
    "interpol": false
  },
  "fraud_statistics": {
    "info_act_date": "2024-07-12T18:26:19.606748057Z [UTC]",
    "spi": {
      "watermark": "1970-01-01T00:00:00",
      "settlements": {
        "d90": 0,
        "m12": 0,
        "m60": 0
      }
    },
    "fraud_markers": {
      "watermark": "1970-01-01T00:00:00",
      "application_frauds": {
        "d90": 0,
        "m12": 0,
        "m60": 0
      },
      "mule_accounts": {
        "d90": 0,
        "m12": 0,
        "m60": 0
      },
      "scammer_accounts": {
        "d90": 0,
        "m12": 0,
        "m60": 0
      },
      "other_frauds": {
        "d90": 0,
        "m12": 0,
        "m60": 0
      },
      "unknown_frauds": {
        "d90": 0,
        "m12": 0,
        "m60": 0
      },
      "total_fraud_transaction_amount": {
        "d90": 0,
        "m12": 0,
        "m60": 0
      },
      "distinct_fraud_reporters": {
        "d90": 0,
        "m12": 0,
        "m60": 0
      }
    },
    "infraction_reports": {
      "watermark": "1970-01-01T00:00:00",
      "open_reports": 0,
      "open_reports_distinct_reporters": 0,
      "rejected_reports": {
        "d90": 0,
        "m12": 0,
        "m60": 0
      }
    }
  }
}

Last updated

Was this helpful?